
public class Class238 {

   static final int anInt2828 = -2012;
   static final int anInt2829 = 2012;
   static final int anInt2830 = 38400;
   static final int anInt2831 = 12;
   static final int anInt2832 = 2;
   static final int anInt2833 = 8;
   int anInt2834;
   static final int anInt2835 = 1;
   int anInt2836 = 0;
   Class236 aClass236_2837;


   final boolean method4148(int[] var1, int var2, int var3, int var4, int var5, int var6, int var7, int var8) {
      if(var5 > var8) {
         var5 = var8;
      }

      if(var4 < 0) {
         var4 = 0;
      }

      if(var4 >= var5) {
         return true;
      } else {
         var2 += var4 - 1;
         var3 = var5 - var4 >> 2;
         var6 += var7 * var4;
         if(this.anInt2834 == 1) {
            this.anInt2836 += var3;

            while(true) {
               --var3;
               if(var3 < 0) {
                  var3 = var5 - var4 & 3;

                  while(true) {
                     --var3;
                     if(var3 < 0) {
                        return true;
                     }

                     ++var2;
                     if(var6 < var1[var2]) {
                        var1[var2] = var6;
                     }

                     var6 += var7;
                  }
               }

               ++var2;
               if(var6 < var1[var2]) {
                  var1[var2] = var6;
               }

               var6 += var7;
               ++var2;
               if(var6 < var1[var2]) {
                  var1[var2] = var6;
               }

               var6 += var7;
               ++var2;
               if(var6 < var1[var2]) {
                  var1[var2] = var6;
               }

               var6 += var7;
               ++var2;
               if(var6 < var1[var2]) {
                  var1[var2] = var6;
               }

               var6 += var7;
            }
         } else {
            var6 -= '\u9600';

            while(true) {
               --var3;
               if(var3 < 0) {
                  var3 = var5 - var4 & 3;

                  while(true) {
                     --var3;
                     if(var3 < 0) {
                        return true;
                     }

                     ++var2;
                     if(var6 < var1[var2]) {
                        return false;
                     }

                     var6 += var7;
                  }
               }

               ++var2;
               if(var6 < var1[var2]) {
                  return false;
               }

               var6 += var7;
               ++var2;
               if(var6 < var1[var2]) {
                  return false;
               }

               var6 += var7;
               ++var2;
               if(var6 < var1[var2]) {
                  return false;
               }

               var6 += var7;
               ++var2;
               if(var6 < var1[var2]) {
                  return false;
               }

               var6 += var7;
            }
         }
      }
   }

   final boolean method4149(int var1, int var2, int var3, int var4, int var5, int var6, int var7, int var8, int var9) {
      if(var1 <= 2012 && var2 <= 2012 && var3 <= 2012 && var4 <= 2012 && var5 <= 2012 && var6 <= 2012) {
         if(var1 >= -2012 && var2 >= -2012 && var3 >= -2012 && var4 >= -2012 && var5 >= -2012 && var6 >= -2012) {
            int var10;
            if(this.anInt2834 == 2) {
               var10 = var4 + var1 * this.aClass236_2837.anInt2824;
               if(var10 >= 0 && var10 < this.aClass236_2837.anIntArray2820.length && (var7 << 8) - '\u9600' < this.aClass236_2837.anIntArray2820[var10]) {
                  return false;
               }

               var10 = var5 + var2 * this.aClass236_2837.anInt2824;
               if(var10 >= 0 && var10 < this.aClass236_2837.anIntArray2820.length && (var8 << 8) - '\u9600' < this.aClass236_2837.anIntArray2820[var10]) {
                  return false;
               }

               var10 = var6 + var3 * this.aClass236_2837.anInt2824;
               if(var10 >= 0 && var10 < this.aClass236_2837.anIntArray2820.length && (var9 << 8) - '\u9600' < this.aClass236_2837.anIntArray2820[var10]) {
                  return false;
               }
            }

            var10 = var5 - var4;
            int var11 = var2 - var1;
            int var12 = var6 - var4;
            int var13 = var3 - var1;
            int var14 = var8 - var7;
            int var15 = var9 - var7;
            if(var1 < var2 && var1 < var3) {
               --var1;
               if(var2 > var3) {
                  ++var2;
               } else {
                  ++var3;
               }
            } else if(var2 < var3) {
               --var2;
               if(var1 > var3) {
                  ++var1;
               } else {
                  ++var3;
               }
            } else {
               --var3;
               if(var1 > var2) {
                  ++var1;
               } else {
                  ++var2;
               }
            }

            int var16 = 0;
            if(var2 != var1) {
               var16 = (var5 - var4 << 12) / (var2 - var1);
            }

            int var17 = 0;
            if(var3 != var2) {
               var17 = (var6 - var5 << 12) / (var3 - var2);
            }

            int var18 = 0;
            if(var3 != var1) {
               var18 = (var4 - var6 << 12) / (var1 - var3);
            }

            int var19 = var10 * var13 - var12 * var11;
            if(var19 == 0) {
               return false;
            } else {
               int var20 = (var14 * var13 - var15 * var11 << 8) / var19;
               int var21 = (var15 * var10 - var14 * var12 << 8) / var19;
               if(var1 <= var2 && var1 <= var3) {
                  if(var1 >= this.aClass236_2837.anInt2825) {
                     return true;
                  } else {
                     if(var2 > this.aClass236_2837.anInt2825) {
                        var2 = this.aClass236_2837.anInt2825;
                     }

                     if(var3 > this.aClass236_2837.anInt2825) {
                        var3 = this.aClass236_2837.anInt2825;
                     }

                     var7 = (var7 << 8) - var20 * var4 + var20;
                     if(var2 < var3) {
                        var6 = var4 <<= 12;
                        if(var1 < 0) {
                           var6 -= var18 * var1;
                           var4 -= var16 * var1;
                           var7 -= var21 * var1;
                           var1 = 0;
                        }

                        var5 <<= 12;
                        if(var2 < 0) {
                           var5 -= var17 * var2;
                           var2 = 0;
                        }

                        if((var1 == var2 || var18 >= var16) && (var1 != var2 || var18 <= var17)) {
                           var3 -= var2;
                           var2 -= var1;
                           var1 *= this.aClass236_2837.anInt2824;

                           while(true) {
                              --var2;
                              if(var2 < 0) {
                                 while(true) {
                                    --var3;
                                    if(var3 < 0) {
                                       return true;
                                    }

                                    if(!this.method4150(this.aClass236_2837.anIntArray2820, var1, 0, (var5 >> 12) - 1, (var6 >> 12) + 1, var7, var20, this.aClass236_2837.anInt2824)) {
                                       return false;
                                    }

                                    var6 += var18;
                                    var5 += var17;
                                    var7 += var21;
                                    var1 += this.aClass236_2837.anInt2824;
                                 }
                              }

                              if(!this.method4150(this.aClass236_2837.anIntArray2820, var1, 0, (var4 >> 12) - 1, (var6 >> 12) + 1, var7, var20, this.aClass236_2837.anInt2824)) {
                                 return false;
                              }

                              var6 += var18;
                              var4 += var16;
                              var7 += var21;
                              var1 += this.aClass236_2837.anInt2824;
                           }
                        } else {
                           var3 -= var2;
                           var2 -= var1;
                           var1 *= this.aClass236_2837.anInt2824;

                           while(true) {
                              --var2;
                              if(var2 < 0) {
                                 while(true) {
                                    --var3;
                                    if(var3 < 0) {
                                       return true;
                                    }

                                    if(!this.method4150(this.aClass236_2837.anIntArray2820, var1, 0, (var6 >> 12) - 1, (var5 >> 12) + 1, var7, var20, this.aClass236_2837.anInt2824)) {
                                       return false;
                                    }

                                    var6 += var18;
                                    var5 += var17;
                                    var7 += var21;
                                    var1 += this.aClass236_2837.anInt2824;
                                 }
                              }

                              if(!this.method4150(this.aClass236_2837.anIntArray2820, var1, 0, (var6 >> 12) - 1, (var4 >> 12) + 1, var7, var20, this.aClass236_2837.anInt2824)) {
                                 return false;
                              }

                              var6 += var18;
                              var4 += var16;
                              var7 += var21;
                              var1 += this.aClass236_2837.anInt2824;
                           }
                        }
                     } else {
                        var5 = var4 <<= 12;
                        if(var1 < 0) {
                           var5 -= var18 * var1;
                           var4 -= var16 * var1;
                           var7 -= var21 * var1;
                           var1 = 0;
                        }

                        var6 <<= 12;
                        if(var3 < 0) {
                           var6 -= var17 * var3;
                           var3 = 0;
                        }

                        if((var1 == var3 || var18 >= var16) && (var1 != var3 || var17 <= var16)) {
                           var2 -= var3;
                           var3 -= var1;
                           var1 *= this.aClass236_2837.anInt2824;

                           while(true) {
                              --var3;
                              if(var3 < 0) {
                                 while(true) {
                                    --var2;
                                    if(var2 < 0) {
                                       return true;
                                    }

                                    if(!this.method4150(this.aClass236_2837.anIntArray2820, var1, 0, (var4 >> 12) - 1, (var6 >> 12) + 1, var7, var20, this.aClass236_2837.anInt2824)) {
                                       return false;
                                    }

                                    var6 += var17;
                                    var4 += var16;
                                    var7 += var21;
                                    var1 += this.aClass236_2837.anInt2824;
                                 }
                              }

                              if(!this.method4150(this.aClass236_2837.anIntArray2820, var1, 0, (var4 >> 12) - 1, (var5 >> 12) + 1, var7, var20, this.aClass236_2837.anInt2824)) {
                                 return false;
                              }

                              var5 += var18;
                              var4 += var16;
                              var7 += var21;
                              var1 += this.aClass236_2837.anInt2824;
                           }
                        } else {
                           var2 -= var3;
                           var3 -= var1;
                           var1 *= this.aClass236_2837.anInt2824;

                           while(true) {
                              --var3;
                              if(var3 < 0) {
                                 while(true) {
                                    --var2;
                                    if(var2 < 0) {
                                       return true;
                                    }

                                    if(!this.method4150(this.aClass236_2837.anIntArray2820, var1, 0, (var6 >> 12) - 1, (var4 >> 12) + 1, var7, var20, this.aClass236_2837.anInt2824)) {
                                       return false;
                                    }

                                    var6 += var17;
                                    var4 += var16;
                                    var7 += var21;
                                    var1 += this.aClass236_2837.anInt2824;
                                 }
                              }

                              if(!this.method4150(this.aClass236_2837.anIntArray2820, var1, 0, (var5 >> 12) - 1, (var4 >> 12) + 1, var7, var20, this.aClass236_2837.anInt2824)) {
                                 return false;
                              }

                              var5 += var18;
                              var4 += var16;
                              var7 += var21;
                              var1 += this.aClass236_2837.anInt2824;
                           }
                        }
                     }
                  }
               } else if(var2 > var3) {
                  if(var3 >= this.aClass236_2837.anInt2825) {
                     return true;
                  } else {
                     if(var1 > this.aClass236_2837.anInt2825) {
                        var1 = this.aClass236_2837.anInt2825;
                     }

                     if(var2 > this.aClass236_2837.anInt2825) {
                        var2 = this.aClass236_2837.anInt2825;
                     }

                     var9 = (var9 << 8) - var20 * var6 + var20;
                     if(var1 < var2) {
                        var5 = var6 <<= 12;
                        if(var3 < 0) {
                           var5 -= var17 * var3;
                           var6 -= var18 * var3;
                           var9 -= var21 * var3;
                           var3 = 0;
                        }

                        var4 <<= 12;
                        if(var1 < 0) {
                           var4 -= var16 * var1;
                           var1 = 0;
                        }

                        if(var17 < var18) {
                           var2 -= var1;
                           var1 -= var3;
                           var3 *= this.aClass236_2837.anInt2824;

                           while(true) {
                              --var1;
                              if(var1 < 0) {
                                 while(true) {
                                    --var2;
                                    if(var2 < 0) {
                                       return true;
                                    }

                                    if(!this.method4150(this.aClass236_2837.anIntArray2820, var3, 0, (var5 >> 12) - 1, (var4 >> 12) + 1, var9, var20, this.aClass236_2837.anInt2824)) {
                                       return false;
                                    }

                                    var5 += var17;
                                    var4 += var16;
                                    var9 += var21;
                                    var3 += this.aClass236_2837.anInt2824;
                                 }
                              }

                              if(!this.method4150(this.aClass236_2837.anIntArray2820, var3, 0, (var5 >> 12) - 1, (var6 >> 12) + 1, var9, var20, this.aClass236_2837.anInt2824)) {
                                 return false;
                              }

                              var5 += var17;
                              var6 += var18;
                              var9 += var21;
                              var3 += this.aClass236_2837.anInt2824;
                           }
                        } else {
                           var2 -= var1;
                           var1 -= var3;
                           var3 *= this.aClass236_2837.anInt2824;

                           while(true) {
                              --var1;
                              if(var1 < 0) {
                                 while(true) {
                                    --var2;
                                    if(var2 < 0) {
                                       return true;
                                    }

                                    if(!this.method4150(this.aClass236_2837.anIntArray2820, var3, 0, (var4 >> 12) - 1, (var5 >> 12) + 1, var9, var20, this.aClass236_2837.anInt2824)) {
                                       return false;
                                    }

                                    var5 += var17;
                                    var4 += var16;
                                    var9 += var21;
                                    var3 += this.aClass236_2837.anInt2824;
                                 }
                              }

                              if(!this.method4150(this.aClass236_2837.anIntArray2820, var3, 0, (var6 >> 12) - 1, (var5 >> 12) + 1, var9, var20, this.aClass236_2837.anInt2824)) {
                                 return false;
                              }

                              var5 += var17;
                              var6 += var18;
                              var9 += var21;
                              var3 += this.aClass236_2837.anInt2824;
                           }
                        }
                     } else {
                        var4 = var6 <<= 12;
                        if(var3 < 0) {
                           var4 -= var17 * var3;
                           var6 -= var18 * var3;
                           var9 -= var21 * var3;
                           var3 = 0;
                        }

                        var5 <<= 12;
                        if(var2 < 0) {
                           var5 -= var16 * var2;
                           var2 = 0;
                        }

                        if(var17 < var18) {
                           var1 -= var2;
                           var2 -= var3;
                           var3 *= this.aClass236_2837.anInt2824;

                           while(true) {
                              --var2;
                              if(var2 < 0) {
                                 while(true) {
                                    --var1;
                                    if(var1 < 0) {
                                       return true;
                                    }

                                    if(!this.method4150(this.aClass236_2837.anIntArray2820, var3, 0, (var5 >> 12) - 1, (var6 >> 12) + 1, var9, var20, this.aClass236_2837.anInt2824)) {
                                       return false;
                                    }

                                    var5 += var16;
                                    var6 += var18;
                                    var9 += var21;
                                    var3 += this.aClass236_2837.anInt2824;
                                 }
                              }

                              if(!this.method4150(this.aClass236_2837.anIntArray2820, var3, 0, (var4 >> 12) - 1, (var6 >> 12) + 1, var9, var20, this.aClass236_2837.anInt2824)) {
                                 return false;
                              }

                              var4 += var17;
                              var6 += var18;
                              var9 += var21;
                              var3 += this.aClass236_2837.anInt2824;
                           }
                        } else {
                           var1 -= var2;
                           var2 -= var3;
                           var3 *= this.aClass236_2837.anInt2824;

                           while(true) {
                              --var2;
                              if(var2 < 0) {
                                 while(true) {
                                    --var1;
                                    if(var1 < 0) {
                                       return true;
                                    }

                                    if(!this.method4150(this.aClass236_2837.anIntArray2820, var3, 0, (var6 >> 12) - 1, (var5 >> 12) + 1, var9, var20, this.aClass236_2837.anInt2824)) {
                                       return false;
                                    }

                                    var5 += var16;
                                    var6 += var18;
                                    var9 += var21;
                                    var3 += this.aClass236_2837.anInt2824;
                                 }
                              }

                              if(!this.method4150(this.aClass236_2837.anIntArray2820, var3, 0, (var6 >> 12) - 1, (var4 >> 12) + 1, var9, var20, this.aClass236_2837.anInt2824)) {
                                 return false;
                              }

                              var4 += var17;
                              var6 += var18;
                              var9 += var21;
                              var3 += this.aClass236_2837.anInt2824;
                           }
                        }
                     }
                  }
               } else if(var2 >= this.aClass236_2837.anInt2825) {
                  return true;
               } else {
                  if(var3 > this.aClass236_2837.anInt2825) {
                     var3 = this.aClass236_2837.anInt2825;
                  }

                  if(var1 > this.aClass236_2837.anInt2825) {
                     var1 = this.aClass236_2837.anInt2825;
                  }

                  var8 = (var8 << 8) - var20 * var5 + var20;
                  if(var3 >= var1) {
                     var6 = var5 <<= 12;
                     if(var2 < 0) {
                        var6 -= var16 * var2;
                        var5 -= var17 * var2;
                        var8 -= var21 * var2;
                        var2 = 0;
                     }

                     var4 <<= 12;
                     if(var1 < 0) {
                        var4 -= var18 * var1;
                        var1 = 0;
                     }

                     if(var16 < var17) {
                        var3 -= var1;
                        var1 -= var2;
                        var2 *= this.aClass236_2837.anInt2824;

                        while(true) {
                           --var1;
                           if(var1 < 0) {
                              while(true) {
                                 --var3;
                                 if(var3 < 0) {
                                    return true;
                                 }

                                 if(!this.method4150(this.aClass236_2837.anIntArray2820, var2, 0, (var4 >> 12) - 1, (var5 >> 12) + 1, var8, var20, this.aClass236_2837.anInt2824)) {
                                    return false;
                                 }

                                 var4 += var18;
                                 var5 += var17;
                                 var8 += var21;
                                 var2 += this.aClass236_2837.anInt2824;
                              }
                           }

                           if(!this.method4150(this.aClass236_2837.anIntArray2820, var2, 0, (var6 >> 12) - 1, (var5 >> 12) + 1, var8, var20, this.aClass236_2837.anInt2824)) {
                              return false;
                           }

                           var6 += var16;
                           var5 += var17;
                           var8 += var21;
                           var2 += this.aClass236_2837.anInt2824;
                        }
                     } else {
                        var3 -= var1;
                        var1 -= var2;
                        var2 *= this.aClass236_2837.anInt2824;

                        while(true) {
                           --var1;
                           if(var1 < 0) {
                              while(true) {
                                 --var3;
                                 if(var3 < 0) {
                                    return true;
                                 }

                                 if(!this.method4150(this.aClass236_2837.anIntArray2820, var2, 0, (var5 >> 12) - 1, (var4 >> 12) + 1, var8, var20, this.aClass236_2837.anInt2824)) {
                                    return false;
                                 }

                                 var4 += var18;
                                 var5 += var17;
                                 var8 += var21;
                                 var2 += this.aClass236_2837.anInt2824;
                              }
                           }

                           if(!this.method4150(this.aClass236_2837.anIntArray2820, var2, 0, (var5 >> 12) - 1, (var6 >> 12) + 1, var8, var20, this.aClass236_2837.anInt2824)) {
                              return false;
                           }

                           var6 += var16;
                           var5 += var17;
                           var8 += var21;
                           var2 += this.aClass236_2837.anInt2824;
                        }
                     }
                  } else {
                     var4 = var5 <<= 12;
                     if(var2 < 0) {
                        var4 -= var16 * var2;
                        var5 -= var17 * var2;
                        var8 -= var21 * var2;
                        var2 = 0;
                     }

                     var6 <<= 12;
                     if(var3 < 0) {
                        var6 -= var18 * var3;
                        var3 = 0;
                     }

                     if((var2 == var3 || var16 >= var17) && (var2 != var3 || var16 <= var18)) {
                        var1 -= var3;
                        var3 -= var2;
                        var2 *= this.aClass236_2837.anInt2824;

                        while(true) {
                           --var3;
                           if(var3 < 0) {
                              while(true) {
                                 --var1;
                                 if(var1 < 0) {
                                    return true;
                                 }

                                 if(!this.method4150(this.aClass236_2837.anIntArray2820, var2, 0, (var6 >> 12) - 1, (var4 >> 12) + 1, var8, var20, this.aClass236_2837.anInt2824)) {
                                    return false;
                                 }

                                 var4 += var16;
                                 var6 += var18;
                                 var8 += var21;
                                 var2 += this.aClass236_2837.anInt2824;
                              }
                           }

                           if(!this.method4150(this.aClass236_2837.anIntArray2820, var2, 0, (var5 >> 12) - 1, (var4 >> 12) + 1, var8, var20, this.aClass236_2837.anInt2824)) {
                              return false;
                           }

                           var4 += var16;
                           var5 += var17;
                           var8 += var21;
                           var2 += this.aClass236_2837.anInt2824;
                        }
                     } else {
                        var1 -= var3;
                        var3 -= var2;
                        var2 *= this.aClass236_2837.anInt2824;

                        while(true) {
                           --var3;
                           if(var3 < 0) {
                              while(true) {
                                 --var1;
                                 if(var1 < 0) {
                                    return true;
                                 }

                                 if(!this.method4150(this.aClass236_2837.anIntArray2820, var2, 0, (var4 >> 12) - 1, (var6 >> 12) + 1, var8, var20, this.aClass236_2837.anInt2824)) {
                                    return false;
                                 }

                                 var4 += var16;
                                 var6 += var18;
                                 var8 += var21;
                                 var2 += this.aClass236_2837.anInt2824;
                              }
                           }

                           if(!this.method4150(this.aClass236_2837.anIntArray2820, var2, 0, (var4 >> 12) - 1, (var5 >> 12) + 1, var8, var20, this.aClass236_2837.anInt2824)) {
                              return false;
                           }

                           var4 += var16;
                           var5 += var17;
                           var8 += var21;
                           var2 += this.aClass236_2837.anInt2824;
                        }
                     }
                  }
               }
            }
         } else {
            return false;
         }
      } else {
         return false;
      }
   }

   final boolean method4150(int[] var1, int var2, int var3, int var4, int var5, int var6, int var7, int var8) {
      if(var5 > var8) {
         var5 = var8;
      }

      if(var4 < 0) {
         var4 = 0;
      }

      if(var4 >= var5) {
         return true;
      } else {
         var2 += var4 - 1;
         var3 = var5 - var4 >> 2;
         var6 += var7 * var4;
         if(this.anInt2834 == 1) {
            this.anInt2836 += var3;

            while(true) {
               --var3;
               if(var3 < 0) {
                  var3 = var5 - var4 & 3;

                  while(true) {
                     --var3;
                     if(var3 < 0) {
                        return true;
                     }

                     ++var2;
                     if(var6 < var1[var2]) {
                        var1[var2] = var6;
                     }

                     var6 += var7;
                  }
               }

               ++var2;
               if(var6 < var1[var2]) {
                  var1[var2] = var6;
               }

               var6 += var7;
               ++var2;
               if(var6 < var1[var2]) {
                  var1[var2] = var6;
               }

               var6 += var7;
               ++var2;
               if(var6 < var1[var2]) {
                  var1[var2] = var6;
               }

               var6 += var7;
               ++var2;
               if(var6 < var1[var2]) {
                  var1[var2] = var6;
               }

               var6 += var7;
            }
         } else {
            var6 -= '\u9600';

            while(true) {
               --var3;
               if(var3 < 0) {
                  var3 = var5 - var4 & 3;

                  while(true) {
                     --var3;
                     if(var3 < 0) {
                        return true;
                     }

                     ++var2;
                     if(var6 < var1[var2]) {
                        return false;
                     }

                     var6 += var7;
                  }
               }

               ++var2;
               if(var6 < var1[var2]) {
                  return false;
               }

               var6 += var7;
               ++var2;
               if(var6 < var1[var2]) {
                  return false;
               }

               var6 += var7;
               ++var2;
               if(var6 < var1[var2]) {
                  return false;
               }

               var6 += var7;
               ++var2;
               if(var6 < var1[var2]) {
                  return false;
               }

               var6 += var7;
            }
         }
      }
   }

   final boolean method4151(int var1, int var2, int var3, int var4, int var5, int var6, int var7, int var8, int var9) {
      if(var1 <= 2012 && var2 <= 2012 && var3 <= 2012 && var4 <= 2012 && var5 <= 2012 && var6 <= 2012) {
         if(var1 >= -2012 && var2 >= -2012 && var3 >= -2012 && var4 >= -2012 && var5 >= -2012 && var6 >= -2012) {
            int var10;
            if(this.anInt2834 == 2) {
               var10 = var4 + var1 * this.aClass236_2837.anInt2824;
               if(var10 >= 0 && var10 < this.aClass236_2837.anIntArray2820.length && (var7 << 8) - '\u9600' < this.aClass236_2837.anIntArray2820[var10]) {
                  return false;
               }

               var10 = var5 + var2 * this.aClass236_2837.anInt2824;
               if(var10 >= 0 && var10 < this.aClass236_2837.anIntArray2820.length && (var8 << 8) - '\u9600' < this.aClass236_2837.anIntArray2820[var10]) {
                  return false;
               }

               var10 = var6 + var3 * this.aClass236_2837.anInt2824;
               if(var10 >= 0 && var10 < this.aClass236_2837.anIntArray2820.length && (var9 << 8) - '\u9600' < this.aClass236_2837.anIntArray2820[var10]) {
                  return false;
               }
            }

            var10 = var5 - var4;
            int var11 = var2 - var1;
            int var12 = var6 - var4;
            int var13 = var3 - var1;
            int var14 = var8 - var7;
            int var15 = var9 - var7;
            if(var1 < var2 && var1 < var3) {
               --var1;
               if(var2 > var3) {
                  ++var2;
               } else {
                  ++var3;
               }
            } else if(var2 < var3) {
               --var2;
               if(var1 > var3) {
                  ++var1;
               } else {
                  ++var3;
               }
            } else {
               --var3;
               if(var1 > var2) {
                  ++var1;
               } else {
                  ++var2;
               }
            }

            int var16 = 0;
            if(var2 != var1) {
               var16 = (var5 - var4 << 12) / (var2 - var1);
            }

            int var17 = 0;
            if(var3 != var2) {
               var17 = (var6 - var5 << 12) / (var3 - var2);
            }

            int var18 = 0;
            if(var3 != var1) {
               var18 = (var4 - var6 << 12) / (var1 - var3);
            }

            int var19 = var10 * var13 - var12 * var11;
            if(var19 == 0) {
               return false;
            } else {
               int var20 = (var14 * var13 - var15 * var11 << 8) / var19;
               int var21 = (var15 * var10 - var14 * var12 << 8) / var19;
               if(var1 <= var2 && var1 <= var3) {
                  if(var1 >= this.aClass236_2837.anInt2825) {
                     return true;
                  } else {
                     if(var2 > this.aClass236_2837.anInt2825) {
                        var2 = this.aClass236_2837.anInt2825;
                     }

                     if(var3 > this.aClass236_2837.anInt2825) {
                        var3 = this.aClass236_2837.anInt2825;
                     }

                     var7 = (var7 << 8) - var20 * var4 + var20;
                     if(var2 < var3) {
                        var6 = var4 <<= 12;
                        if(var1 < 0) {
                           var6 -= var18 * var1;
                           var4 -= var16 * var1;
                           var7 -= var21 * var1;
                           var1 = 0;
                        }

                        var5 <<= 12;
                        if(var2 < 0) {
                           var5 -= var17 * var2;
                           var2 = 0;
                        }

                        if((var1 == var2 || var18 >= var16) && (var1 != var2 || var18 <= var17)) {
                           var3 -= var2;
                           var2 -= var1;
                           var1 *= this.aClass236_2837.anInt2824;

                           while(true) {
                              --var2;
                              if(var2 < 0) {
                                 while(true) {
                                    --var3;
                                    if(var3 < 0) {
                                       return true;
                                    }

                                    if(!this.method4150(this.aClass236_2837.anIntArray2820, var1, 0, (var5 >> 12) - 1, (var6 >> 12) + 1, var7, var20, this.aClass236_2837.anInt2824)) {
                                       return false;
                                    }

                                    var6 += var18;
                                    var5 += var17;
                                    var7 += var21;
                                    var1 += this.aClass236_2837.anInt2824;
                                 }
                              }

                              if(!this.method4150(this.aClass236_2837.anIntArray2820, var1, 0, (var4 >> 12) - 1, (var6 >> 12) + 1, var7, var20, this.aClass236_2837.anInt2824)) {
                                 return false;
                              }

                              var6 += var18;
                              var4 += var16;
                              var7 += var21;
                              var1 += this.aClass236_2837.anInt2824;
                           }
                        } else {
                           var3 -= var2;
                           var2 -= var1;
                           var1 *= this.aClass236_2837.anInt2824;

                           while(true) {
                              --var2;
                              if(var2 < 0) {
                                 while(true) {
                                    --var3;
                                    if(var3 < 0) {
                                       return true;
                                    }

                                    if(!this.method4150(this.aClass236_2837.anIntArray2820, var1, 0, (var6 >> 12) - 1, (var5 >> 12) + 1, var7, var20, this.aClass236_2837.anInt2824)) {
                                       return false;
                                    }

                                    var6 += var18;
                                    var5 += var17;
                                    var7 += var21;
                                    var1 += this.aClass236_2837.anInt2824;
                                 }
                              }

                              if(!this.method4150(this.aClass236_2837.anIntArray2820, var1, 0, (var6 >> 12) - 1, (var4 >> 12) + 1, var7, var20, this.aClass236_2837.anInt2824)) {
                                 return false;
                              }

                              var6 += var18;
                              var4 += var16;
                              var7 += var21;
                              var1 += this.aClass236_2837.anInt2824;
                           }
                        }
                     } else {
                        var5 = var4 <<= 12;
                        if(var1 < 0) {
                           var5 -= var18 * var1;
                           var4 -= var16 * var1;
                           var7 -= var21 * var1;
                           var1 = 0;
                        }

                        var6 <<= 12;
                        if(var3 < 0) {
                           var6 -= var17 * var3;
                           var3 = 0;
                        }

                        if((var1 == var3 || var18 >= var16) && (var1 != var3 || var17 <= var16)) {
                           var2 -= var3;
                           var3 -= var1;
                           var1 *= this.aClass236_2837.anInt2824;

                           while(true) {
                              --var3;
                              if(var3 < 0) {
                                 while(true) {
                                    --var2;
                                    if(var2 < 0) {
                                       return true;
                                    }

                                    if(!this.method4150(this.aClass236_2837.anIntArray2820, var1, 0, (var4 >> 12) - 1, (var6 >> 12) + 1, var7, var20, this.aClass236_2837.anInt2824)) {
                                       return false;
                                    }

                                    var6 += var17;
                                    var4 += var16;
                                    var7 += var21;
                                    var1 += this.aClass236_2837.anInt2824;
                                 }
                              }

                              if(!this.method4150(this.aClass236_2837.anIntArray2820, var1, 0, (var4 >> 12) - 1, (var5 >> 12) + 1, var7, var20, this.aClass236_2837.anInt2824)) {
                                 return false;
                              }

                              var5 += var18;
                              var4 += var16;
                              var7 += var21;
                              var1 += this.aClass236_2837.anInt2824;
                           }
                        } else {
                           var2 -= var3;
                           var3 -= var1;
                           var1 *= this.aClass236_2837.anInt2824;

                           while(true) {
                              --var3;
                              if(var3 < 0) {
                                 while(true) {
                                    --var2;
                                    if(var2 < 0) {
                                       return true;
                                    }

                                    if(!this.method4150(this.aClass236_2837.anIntArray2820, var1, 0, (var6 >> 12) - 1, (var4 >> 12) + 1, var7, var20, this.aClass236_2837.anInt2824)) {
                                       return false;
                                    }

                                    var6 += var17;
                                    var4 += var16;
                                    var7 += var21;
                                    var1 += this.aClass236_2837.anInt2824;
                                 }
                              }

                              if(!this.method4150(this.aClass236_2837.anIntArray2820, var1, 0, (var5 >> 12) - 1, (var4 >> 12) + 1, var7, var20, this.aClass236_2837.anInt2824)) {
                                 return false;
                              }

                              var5 += var18;
                              var4 += var16;
                              var7 += var21;
                              var1 += this.aClass236_2837.anInt2824;
                           }
                        }
                     }
                  }
               } else if(var2 > var3) {
                  if(var3 >= this.aClass236_2837.anInt2825) {
                     return true;
                  } else {
                     if(var1 > this.aClass236_2837.anInt2825) {
                        var1 = this.aClass236_2837.anInt2825;
                     }

                     if(var2 > this.aClass236_2837.anInt2825) {
                        var2 = this.aClass236_2837.anInt2825;
                     }

                     var9 = (var9 << 8) - var20 * var6 + var20;
                     if(var1 < var2) {
                        var5 = var6 <<= 12;
                        if(var3 < 0) {
                           var5 -= var17 * var3;
                           var6 -= var18 * var3;
                           var9 -= var21 * var3;
                           var3 = 0;
                        }

                        var4 <<= 12;
                        if(var1 < 0) {
                           var4 -= var16 * var1;
                           var1 = 0;
                        }

                        if(var17 < var18) {
                           var2 -= var1;
                           var1 -= var3;
                           var3 *= this.aClass236_2837.anInt2824;

                           while(true) {
                              --var1;
                              if(var1 < 0) {
                                 while(true) {
                                    --var2;
                                    if(var2 < 0) {
                                       return true;
                                    }

                                    if(!this.method4150(this.aClass236_2837.anIntArray2820, var3, 0, (var5 >> 12) - 1, (var4 >> 12) + 1, var9, var20, this.aClass236_2837.anInt2824)) {
                                       return false;
                                    }

                                    var5 += var17;
                                    var4 += var16;
                                    var9 += var21;
                                    var3 += this.aClass236_2837.anInt2824;
                                 }
                              }

                              if(!this.method4150(this.aClass236_2837.anIntArray2820, var3, 0, (var5 >> 12) - 1, (var6 >> 12) + 1, var9, var20, this.aClass236_2837.anInt2824)) {
                                 return false;
                              }

                              var5 += var17;
                              var6 += var18;
                              var9 += var21;
                              var3 += this.aClass236_2837.anInt2824;
                           }
                        } else {
                           var2 -= var1;
                           var1 -= var3;
                           var3 *= this.aClass236_2837.anInt2824;

                           while(true) {
                              --var1;
                              if(var1 < 0) {
                                 while(true) {
                                    --var2;
                                    if(var2 < 0) {
                                       return true;
                                    }

                                    if(!this.method4150(this.aClass236_2837.anIntArray2820, var3, 0, (var4 >> 12) - 1, (var5 >> 12) + 1, var9, var20, this.aClass236_2837.anInt2824)) {
                                       return false;
                                    }

                                    var5 += var17;
                                    var4 += var16;
                                    var9 += var21;
                                    var3 += this.aClass236_2837.anInt2824;
                                 }
                              }

                              if(!this.method4150(this.aClass236_2837.anIntArray2820, var3, 0, (var6 >> 12) - 1, (var5 >> 12) + 1, var9, var20, this.aClass236_2837.anInt2824)) {
                                 return false;
                              }

                              var5 += var17;
                              var6 += var18;
                              var9 += var21;
                              var3 += this.aClass236_2837.anInt2824;
                           }
                        }
                     } else {
                        var4 = var6 <<= 12;
                        if(var3 < 0) {
                           var4 -= var17 * var3;
                           var6 -= var18 * var3;
                           var9 -= var21 * var3;
                           var3 = 0;
                        }

                        var5 <<= 12;
                        if(var2 < 0) {
                           var5 -= var16 * var2;
                           var2 = 0;
                        }

                        if(var17 < var18) {
                           var1 -= var2;
                           var2 -= var3;
                           var3 *= this.aClass236_2837.anInt2824;

                           while(true) {
                              --var2;
                              if(var2 < 0) {
                                 while(true) {
                                    --var1;
                                    if(var1 < 0) {
                                       return true;
                                    }

                                    if(!this.method4150(this.aClass236_2837.anIntArray2820, var3, 0, (var5 >> 12) - 1, (var6 >> 12) + 1, var9, var20, this.aClass236_2837.anInt2824)) {
                                       return false;
                                    }

                                    var5 += var16;
                                    var6 += var18;
                                    var9 += var21;
                                    var3 += this.aClass236_2837.anInt2824;
                                 }
                              }

                              if(!this.method4150(this.aClass236_2837.anIntArray2820, var3, 0, (var4 >> 12) - 1, (var6 >> 12) + 1, var9, var20, this.aClass236_2837.anInt2824)) {
                                 return false;
                              }

                              var4 += var17;
                              var6 += var18;
                              var9 += var21;
                              var3 += this.aClass236_2837.anInt2824;
                           }
                        } else {
                           var1 -= var2;
                           var2 -= var3;
                           var3 *= this.aClass236_2837.anInt2824;

                           while(true) {
                              --var2;
                              if(var2 < 0) {
                                 while(true) {
                                    --var1;
                                    if(var1 < 0) {
                                       return true;
                                    }

                                    if(!this.method4150(this.aClass236_2837.anIntArray2820, var3, 0, (var6 >> 12) - 1, (var5 >> 12) + 1, var9, var20, this.aClass236_2837.anInt2824)) {
                                       return false;
                                    }

                                    var5 += var16;
                                    var6 += var18;
                                    var9 += var21;
                                    var3 += this.aClass236_2837.anInt2824;
                                 }
                              }

                              if(!this.method4150(this.aClass236_2837.anIntArray2820, var3, 0, (var6 >> 12) - 1, (var4 >> 12) + 1, var9, var20, this.aClass236_2837.anInt2824)) {
                                 return false;
                              }

                              var4 += var17;
                              var6 += var18;
                              var9 += var21;
                              var3 += this.aClass236_2837.anInt2824;
                           }
                        }
                     }
                  }
               } else if(var2 >= this.aClass236_2837.anInt2825) {
                  return true;
               } else {
                  if(var3 > this.aClass236_2837.anInt2825) {
                     var3 = this.aClass236_2837.anInt2825;
                  }

                  if(var1 > this.aClass236_2837.anInt2825) {
                     var1 = this.aClass236_2837.anInt2825;
                  }

                  var8 = (var8 << 8) - var20 * var5 + var20;
                  if(var3 >= var1) {
                     var6 = var5 <<= 12;
                     if(var2 < 0) {
                        var6 -= var16 * var2;
                        var5 -= var17 * var2;
                        var8 -= var21 * var2;
                        var2 = 0;
                     }

                     var4 <<= 12;
                     if(var1 < 0) {
                        var4 -= var18 * var1;
                        var1 = 0;
                     }

                     if(var16 < var17) {
                        var3 -= var1;
                        var1 -= var2;
                        var2 *= this.aClass236_2837.anInt2824;

                        while(true) {
                           --var1;
                           if(var1 < 0) {
                              while(true) {
                                 --var3;
                                 if(var3 < 0) {
                                    return true;
                                 }

                                 if(!this.method4150(this.aClass236_2837.anIntArray2820, var2, 0, (var4 >> 12) - 1, (var5 >> 12) + 1, var8, var20, this.aClass236_2837.anInt2824)) {
                                    return false;
                                 }

                                 var4 += var18;
                                 var5 += var17;
                                 var8 += var21;
                                 var2 += this.aClass236_2837.anInt2824;
                              }
                           }

                           if(!this.method4150(this.aClass236_2837.anIntArray2820, var2, 0, (var6 >> 12) - 1, (var5 >> 12) + 1, var8, var20, this.aClass236_2837.anInt2824)) {
                              return false;
                           }

                           var6 += var16;
                           var5 += var17;
                           var8 += var21;
                           var2 += this.aClass236_2837.anInt2824;
                        }
                     } else {
                        var3 -= var1;
                        var1 -= var2;
                        var2 *= this.aClass236_2837.anInt2824;

                        while(true) {
                           --var1;
                           if(var1 < 0) {
                              while(true) {
                                 --var3;
                                 if(var3 < 0) {
                                    return true;
                                 }

                                 if(!this.method4150(this.aClass236_2837.anIntArray2820, var2, 0, (var5 >> 12) - 1, (var4 >> 12) + 1, var8, var20, this.aClass236_2837.anInt2824)) {
                                    return false;
                                 }

                                 var4 += var18;
                                 var5 += var17;
                                 var8 += var21;
                                 var2 += this.aClass236_2837.anInt2824;
                              }
                           }

                           if(!this.method4150(this.aClass236_2837.anIntArray2820, var2, 0, (var5 >> 12) - 1, (var6 >> 12) + 1, var8, var20, this.aClass236_2837.anInt2824)) {
                              return false;
                           }

                           var6 += var16;
                           var5 += var17;
                           var8 += var21;
                           var2 += this.aClass236_2837.anInt2824;
                        }
                     }
                  } else {
                     var4 = var5 <<= 12;
                     if(var2 < 0) {
                        var4 -= var16 * var2;
                        var5 -= var17 * var2;
                        var8 -= var21 * var2;
                        var2 = 0;
                     }

                     var6 <<= 12;
                     if(var3 < 0) {
                        var6 -= var18 * var3;
                        var3 = 0;
                     }

                     if((var2 == var3 || var16 >= var17) && (var2 != var3 || var16 <= var18)) {
                        var1 -= var3;
                        var3 -= var2;
                        var2 *= this.aClass236_2837.anInt2824;

                        while(true) {
                           --var3;
                           if(var3 < 0) {
                              while(true) {
                                 --var1;
                                 if(var1 < 0) {
                                    return true;
                                 }

                                 if(!this.method4150(this.aClass236_2837.anIntArray2820, var2, 0, (var6 >> 12) - 1, (var4 >> 12) + 1, var8, var20, this.aClass236_2837.anInt2824)) {
                                    return false;
                                 }

                                 var4 += var16;
                                 var6 += var18;
                                 var8 += var21;
                                 var2 += this.aClass236_2837.anInt2824;
                              }
                           }

                           if(!this.method4150(this.aClass236_2837.anIntArray2820, var2, 0, (var5 >> 12) - 1, (var4 >> 12) + 1, var8, var20, this.aClass236_2837.anInt2824)) {
                              return false;
                           }

                           var4 += var16;
                           var5 += var17;
                           var8 += var21;
                           var2 += this.aClass236_2837.anInt2824;
                        }
                     } else {
                        var1 -= var3;
                        var3 -= var2;
                        var2 *= this.aClass236_2837.anInt2824;

                        while(true) {
                           --var3;
                           if(var3 < 0) {
                              while(true) {
                                 --var1;
                                 if(var1 < 0) {
                                    return true;
                                 }

                                 if(!this.method4150(this.aClass236_2837.anIntArray2820, var2, 0, (var4 >> 12) - 1, (var6 >> 12) + 1, var8, var20, this.aClass236_2837.anInt2824)) {
                                    return false;
                                 }

                                 var4 += var16;
                                 var6 += var18;
                                 var8 += var21;
                                 var2 += this.aClass236_2837.anInt2824;
                              }
                           }

                           if(!this.method4150(this.aClass236_2837.anIntArray2820, var2, 0, (var4 >> 12) - 1, (var5 >> 12) + 1, var8, var20, this.aClass236_2837.anInt2824)) {
                              return false;
                           }

                           var4 += var16;
                           var5 += var17;
                           var8 += var21;
                           var2 += this.aClass236_2837.anInt2824;
                        }
                     }
                  }
               }
            }
         } else {
            return false;
         }
      } else {
         return false;
      }
   }

   Class238(Class236 var1) {
      this.aClass236_2837 = var1;
   }
}
